Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.monitor
Class SOAPMonitorService

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.apache.axis.monitor.SOAPMonitorService

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class SOAPMonitorService
extends javax.servlet.http.HttpServlet

This is a SOAP Monitor Service class. During the HTTP server startup, the servlet init method is invoked. This allows the code to open a server socket that will be used to communicate with running applets. When an HTTP GET request is received, the servlet dynamically produces an HTML document to load the SOAP monitor applet and supply the port number being used by the server socket (so the applet will know how to connect back to the server). Each time a socket conneciton is established, a new thread is created to handle communications from the applet. The publishMethod routine is invoked by the SOAP monitor handler when a SOAP message request or response is detected. The information about the SOAP message is then forwared to all current socket connections for display by the applet.

Author:
  Brian Price (pricebe@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`SOAPMonitorService()` Constructor

Method Summary
`void` | `destroy()` Servlet termination
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` HTTP GET request
`void` | `init()` Servlet initialiation
`static void` | `publishMessage(java.lang.Long id, java.lang.Integer type, java.lang.String target, java.lang.String soap)` Publish a SOAP message to listeners

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPMonitorService

    public SOAPMonitorService()

  Constructor

Method Detail

### publishMessage

    public static void publishMessage(java.lang.Long id,
                                      java.lang.Integer type,
                                      java.lang.String target,
                                      java.lang.String soap)

  Publish a SOAP message to listeners

### init

    public void init()
              throws javax.servlet.ServletException

  Servlet initialiation
  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### destroy

    public void destroy()

  Servlet termination
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  HTTP GET request
  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.